La version inconnue de Tomcat a été spécifiée avec tomcat-7.0.42

Je veux append la dernière version de tomcat-7.0.42 dans mon éclipse. Probablement eclipse tomcat server adapter 7 ne supporte que la version de tomcat jusqu’à 7.0.12.

entrer la description de l'image ici

Alors s’il vous plaît aidez-moi comment puis-je configurer mon éclipse avec tomcat-7.0.42

Vous spécifiez le répertoire source tomcat.

Vous devez spécifier le répertoire racine de l’installation binary tomcat, également appelé CATALINA_HOME.

En général, c’est ici que vous apache-tomcat-7.0.42.tar.gz fichier apache-tomcat-7.0.42.tar.gz .

Cela m’est arrivé parce que Tomcat était encore en train de télécharger ( Download and Install ). Le message a disparu après quelques minutes.

La fenêtre de l’éclipse devrait avoir un type d’indicateur de progression indiquant l’état du téléchargement.

Pour LINUX, le répertoire d’installation de Tomcat 7 est: / usr / share / tomcat7

Veuillez utiliser cette configuration.

Plus ici: http://gridlab.dimes.unical.it/lackovic/eclipse-tomcat-ubuntu-jersey/

Pour reconnaître votre dossier d’installation Tomcat, Eclipse recherche les fichiers suivants:

 conf/catalina.policy conf/server.xml conf/web.xml conf/context.xml conf/tomcat-users.xml conf/catalina.policy conf/catalina.properties lib/catalina.jar 

alors assurez-vous que vous pointez vers le bon endroit et que vous disposez des droits de lecture appropriés.

Par exemple

  • OS X (s’il est installé via brew ), c’est: /usr/local/opt/tomcat/libexec
  • Linux / Ubuntu: voir: Erreur d’intégration Tomcat et Eclipse

Dès que vous fournissez le répertoire dans lequel Tomcat doit être installé et cliquez sur OK, vous pouvez constater que le téléchargement et l’installation démarrent dans l’onglet de progression d’Eclipse.

entrer la description de l'image ici

Laissez le processus se terminer. L’erreur disparaîtra automatiquement.

entrer la description de l'image ici

Remarque: il n’est pas obligatoire de nommer votre dossier CATALINA_HOME . Je l’ai testé avec des fenêtres. Ne peut pas affirmer la même chose pour Linux mais la même règle IMO devrait s’appliquer.

Vous essayez probablement de pointer le répertoire tomcat contenant le dossier source. Veuillez télécharger la version binary de tomcat ici . Pour les environnements Linux, vous pouvez trouver des fichiers .zip et .tar.gz dans la section principale. Veuillez les télécharger et les extraire. Après cela, si vous pointez ce répertoire extrait, eclipse pourra identifier la version de Tomcat. Eclipse n’a pas pu trouver la version de tomcat, car le répertoire que vous avez indiqué ne contenait pas le dossier conf. J’espère que cela t’aides!

Au cas où … Apache Tomcat 8.5.X n’est pas compatible avec la sélection de serveur Apache Tomcat 8.0 dans eclipse. Et cela donne cette erreur.

Allez dans “Fenêtre -> Préférences -> Serveur -> Environnements d’exécution”

Supprimez les serveurs existants qu’ils n’ont peut-être pas complètement téléchargés.

Ajouter un nouveau serveur

Pour les utilisateurs Windows,

Utilisez le programme d’installation du service Tomcat à partir de la page de téléchargements Apache Tomcat. Vous obtiendrez un fichier .exe. qui installe le service pour Windows. Il installera généralement Apache tomcat sur “C: \ Program Files \ Apache Software Foundation \ Tomcat 8.0” et sera facilement reconnu dans eclipse.

Vous pointez sur le répertoire source. Vous pouvez exécuter une génération en exécutant ant à partir de ce même répertoire, puis append «\ output \ build» à la fin du chemin du répertoire d’installation.

J’ai eu la même erreur et résolu en donnant assez d’permissions au dossier. J’ai donné les permissions complètes par (vous pouvez essayer des permissions limitées qui sont suffisantes pour que éclipse puisse exécuter tomcat)

 sudo chmod -R 777 apache-tomcat-8.5.33/ 

Pour info, j’ai rencontré cette erreur sur mon mac, mais je pense que cela devrait être la même chose pour le système Ubuntu.

il me jette la même erreur qui m’a amené ici.

Cependant, j’ai juste attendu un certain temps et il s’est installé sans rien faire.

J’espère que cela t’aides